export function randomFloat(min, max) {
    return Math.random() * (max - min) + min;
};

export function clampNumber(value, min, max) {
    return Math.max(min, Math.min(max, value));
};

export function getDeltaLocation(loc1, loc2) {
    const difference = {
      x: loc1.x - loc2.x,
      y: loc1.y - loc2.y,
      z: loc1.z - loc2.z
    }
    return difference;
};

export function angleToDegrees(angle) {
    return ((angle * 180) / Math.PI + 360) % 360;
};